NAME
OpenAPI::Client::OpenAI::Path::assistants-assistant_id - Documentation for the /assistants/{assistant_id} path.
OPERATIONS
DELETE /assistants/{assistant_id}
deleteAssistant
$client->delete_assistant({
body => { ... },
});
Delete an assistant.
Path/query parameters
assistant_id(in path, required, string) - The ID of the assistant to delete.
Responses
200 - OK
Content-Type: application/json
Example:
{
"deleted" : false,
"id" : "string",
"object" : "assistant.deleted"
}
GET /assistants/{assistant_id}
getAssistant
$client->get_assistant({
body => { ... },
});
Retrieves an assistant.
Path/query parameters
assistant_id(in path, required, string) - The ID of the assistant to retrieve.
Responses
200 - OK
Content-Type: application/json
Example:
{
"created_at" : 1698984975,
"description" : null,
"id" : "asst_abc123",
"instructions" : "You are a personal math tutor. When asked a question, write and run Python code to answer the question.",
"metadata" : {},
"model" : "gpt-4o",
"name" : "Math Tutor",
"object" : "assistant",
"response_format" : "auto",
"temperature" : 1,
"tools" : [
{
"type" : "code_interpreter"
}
],
"top_p" : 1
}
POST /assistants/{assistant_id}
modifyAssistant
$client->modify_assistant({
body => { ... },
});
Modifies an assistant.
Path/query parameters
assistant_id(in path, required, string) - The ID of the assistant to modify.
Responses
200 - OK
Content-Type: application/json
Example:
{
"created_at" : 1698984975,
"description" : null,
"id" : "asst_abc123",
"instructions" : "You are a personal math tutor. When asked a question, write and run Python code to answer the question.",
"metadata" : {},
"model" : "gpt-4o",
"name" : "Math Tutor",
"object" : "assistant",
"response_format" : "auto",
"temperature" : 1,
"tools" : [
{
"type" : "code_interpreter"
}
],
"top_p" : 1
}
SCHEMAS
AssistantObject
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) for when the assistant was created.description(anyOf, required)id(string, required) - The identifier, which can be referenced in API endpoints.instructions(anyOf, required)metadata(Metadata, required)See "Metadata" below for shape.
model(string, required) - ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.name(anyOf, required)object(string, required) - The object type, which is alwaysassistant.Allowed values: assistant
response_format(anyOf)temperature(anyOf)tool_resources(anyOf)tools(array of object, required) - A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of typescode_interpreter,file_search, orfunction.Default: []
top_p(anyOf)
DeleteAssistantResponse
Properties:
deleted(boolean, required)id(string, required)object(string, required)Allowed values: assistant.deleted
Metadata
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
ModifyAssistantRequest
Properties:
description(anyOf)instructions(anyOf)metadata(Metadata)See "Metadata" below for shape.
model(anyOf) - ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.name(anyOf)reasoning_effort(ReasoningEffort)See "ReasoningEffort" below for shape.
response_format(anyOf)temperature(anyOf)tool_resources(anyOf)tools(array of object) - A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of typescode_interpreter,file_search, orfunction.Default: []
top_p(anyOf)
ReasoningEffort
Constrains effort on reasoning for reasoning models . Currently supported values are none , minimal , low , medium , high , and xhigh . Reducing reasoning effort can result in faster responses and fewer tokens used on reasoning in a response.
- gpt-5.1 defaults to none , which does not perform reasoning. The supported reasoning values for gpt-5.1 are none , low , medium , and high . Tool calls are supported for all reasoning values in gpt-5.1. - All models before gpt-5.1 default to medium reasoning effort, and do not support none . - The gpt-5-pro model defaults to (and only supports) high reasoning effort. - xhigh is supported for all models after gpt-5.1-codex-max .
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.